# CategoryStream.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <log4cpp/Priority.hh>`
`#include <ios>`
`#include <log4cpp/Manipulator.hh>`

Include dependency graph for CategoryStream.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::CategoryStream
| This class enables streaming simple types and objects to a category. More...

## Functions

LOG4CPP_EXPORT CategoryStream & | log4cpp::eol (CategoryStream &os)
| eol manipulator
LOG4CPP_EXPORT CategoryStream & | log4cpp::left (CategoryStream &os)
| left manipulator

## Variables

LOG4CPP_EXPORT | log4cpp::Category
LOG4CPP_EXPORT | log4cpp::CategoryStream